package org.jeecg.modules.deviceAsset.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.deviceAsset.dto.TrackBedManagementDTO;
import org.jeecg.modules.deviceAsset.entity.TrackBedManagement;
import org.jeecg.modules.deviceAsset.mapper.TrackBedManagementMapper;
import org.jeecg.modules.deviceAsset.service.ITrackBedManagementService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.deviceAsset.vo.TrackBedManagementVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 资产管理-道床管理 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2023-07-06
 */
@Service
public class TrackBedManagementServiceImpl extends ServiceImpl<TrackBedManagementMapper, TrackBedManagement> implements ITrackBedManagementService {

    @Override
    public Page<TrackBedManagementVO> queryPageList(Page<TrackBedManagementVO> pageData, TrackBedManagementDTO dto) {
        return this.baseMapper.queryPageList(pageData, dto);
    }

    @Override
    public List<TrackBedManagement> queryList() {
        return null;
    }

    @Override
    public List<TrackBedManagement> getTrackBedById(String id) {
        return this.baseMapper.getTrackBedById(id);
    }

    @Override
    public Long checkTrackBedCodeRepeat(String id, String lightRailId, String trackBedCode) {
        return this.baseMapper.checkTrackBedCodeRepeat(id, lightRailId, trackBedCode);
    }
}
